## The Broad Institute
## SOFTWARE COPYRIGHT NOTICE AGREEMENT
## This software and its documentation are copyright (2013) by the
## Broad Institute/Massachusetts Institute of Technology. All rights are
## reserved.
##
## This software is supplied without any warranty or guaranteed support
## whatsoever. Neither the Broad Institute nor MIT can be responsible for its
## use, misuse, or functionality.

print("Beginning runGP_FilterLowshRNAs")

args <- commandArgs(trailingOnly=TRUE)

vers <- "2.15"            # R version
libdir <- args[1]
server.dir <- args[2]
patch.dir <- args[3]

source(file.path(libdir, "loadRLibrary.R"))
load.packages(libdir, patch.dir, server.dir, vers)

print("Packages loaded")

option_list <- list(
  make_option("--GCT.files", dest="GCT.files"),
  make_option("--extension", dest="extension")
)

opt <- parse_args(OptionParser(option_list=option_list), positional_arguments=TRUE, args=args)
print(opt)
opts <- opt$options

print("Beginning to source all R scripts")

source(file.path(libdir, "read_gct.R"))
source(file.path(libdir, "shRNAdataAchilles.R"))
source(file.path(libdir, "writeGCTresults.R"))
source(file.path(libdir, "FilterLowshRNAs.R"))

print("All R scripts sourced")

sessionInfo()

print("Beginning Function")

gctFiles <- readLines(opts$GCT.files)
gctFile1 <- gctFiles[1]
gctFile2 <- NULL
gctFile3 <- NULL
if(length(gctFiles) == 2){
  gctFile2 <- gctFiles[2]
} else if(length(gctFiles) == 3){
  gctFile2 = gctFiles[2]
  gctFile3 <- gctFiles[3]
}

FilterLowshRNAs(gctFile1, opts$extension, gctFile2, gctFile3)